//
// Common functions for all Nativity scripts
//

// function to init the display
function initDisplayConfig(){
  // configure the GUI
  core.clear('starchart');
  ConstellationMgr.setFlagBoundaries(false);
  GridLinesMgr.setFlagEquatorGrid(false);
  NebulaMgr.setFlagShow(false);
  core.setSelectedObjectInfo('AllInfo');
  StelMovementMgr.setEquatorialMount(true);
  SporadicMeteorMgr.setFlagShow(false);

  // pause the simulation
  core.setTimeRate(0);

  // set the location to the middle east
  core.setObserverLocation('Jerusalem, Israel');

  // blank any extraneous labels that might be hanging around
  LabelMgr.deleteAllLabels();
}
